<?php
$timeStampPremierJanvier = strtotime($annee.'-01-01');
$jourPremierJanvier = date('w', $timeStampPremierJanvier);

//-- recherche du N° de semaine du 1er janvier -------------------
$numSemainePremierJanvier = date('W', $timeStampPremierJanvier);

//-- nombre à ajouter en fonction du numéro précédent ------------
$decallage = ($numSemainePremierJanvier == 1) ? $numSemaine - 1 : $numSemaine;
//-- timestamp du jour dans la semaine recherchée ----------------
$timeStampDate = strtotime('+' . $decallage.' weeks', $timeStampPremierJanvier);
//-- recherche du lundi de la semaine en fonction de la ligne précédente ---------
$day1 = ($jourPremierJanvier == 1) ? date('Y-m-d', $timeStampDate) : date('Y-m-d', strtotime('last monday', $timeStampDate));

//rendu pour foreach 1er jour
$dayP1 = strtotime($day1);
$dayname1 = date('D',$dayP1);
if($dayname1=="Mon") { 
	$jourP1 = date("Y-m-d", $dayP1);
}
else {
	$jourP1 = date("Y-m-d", strtotime("Previous Monday", $dayP1));
}
$jourP1date = new DateTime($jourP1);

$timeStampPremierJanvier = strtotime($annee2.'-01-01');
$jourPremierJanvier = date('w', $timeStampPremierJanvier);

//-- recherche du N° de semaine du 1er janvier -------------------
$numSemainePremierJanvier = date('W', $timeStampPremierJanvier);

//-- nombre à ajouter en fonction du numéro précédent ------------
$decallage = ($numSemainePremierJanvier == 1) ? $numSemaine2 - 1 : $numSemaine2;
//-- timestamp du jour dans la semaine recherchée ----------------
$timeStampDate = strtotime('+' . $decallage.' weeks', $timeStampPremierJanvier);
//-- recherche du lundi de la semaine en fonction de la ligne précédente ---------
$day2 = ($jourPremierJanvier == 1) ? date('Y-m-d', $timeStampDate) : date('Y-m-d', strtotime('last monday', $timeStampDate));

//rendu pour foreach dernier jour
$dayP2 = strtotime($day2);
$dayname2 = date('D',$dayP2);
if($dayname2=="Mon") {
	$jourP2to = strtotime(date("Y-m-d",$dayP2) . " +7 day");
	$jourP2last = strtotime(date("Y-m-d",$dayP2) . " +6 day");
}
else {
	$jourP2to = strtotime(date("Y-m-d",strtotime("Previous Monday", $dayP2)) . " +7 day");
	$jourP2last = strtotime(date("Y-m-d",strtotime("Previous Monday", $dayP2)) . " +6 day");
}
$jourP2 = date('Y-m-d',$jourP2to);
$jourP2dim = date('Y-m-d',$jourP2last);
$jourP2date = new DateTime($jourP2);
?>